/*
 * generated by Xtext
 */
package fr.irit.fiacre.etoile.xtext.parser.antlr;

import com.google.inject.Inject;

import org.eclipse.xtext.parser.antlr.XtextTokenStream;
import fr.irit.fiacre.etoile.xtext.services.FiacreGrammarAccess;

public class FiacreParser extends org.eclipse.xtext.parser.antlr.AbstractAntlrParser {
	
	@Inject
	private FiacreGrammarAccess grammarAccess;
	
	@Override
	protected void setInitialHiddenTokens(XtextTokenStream tokenStream) {
		tokenStream.setInitialHiddenTokens("RULE_WS", "RULE_ML_COMMENT", "RULE_SL_COMMENT");
	}
	
	@Override
	protected fr.irit.fiacre.etoile.xtext.parser.antlr.internal.InternalFiacreParser createParser(XtextTokenStream stream) {
		return new fr.irit.fiacre.etoile.xtext.parser.antlr.internal.InternalFiacreParser(stream, getGrammarAccess());
	}
	
	@Override 
	protected String getDefaultRuleName() {
		return "Model";
	}
	
	public FiacreGrammarAccess getGrammarAccess() {
		return this.grammarAccess;
	}
	
	public void setGrammarAccess(FiacreGrammarAccess grammarAccess) {
		this.grammarAccess = grammarAccess;
	}
	
}
